import sqlite3 as sq


def test_1():

    with sq.connect("saper.db") as con:
        cur = con.cursor() # Cursor
        
        # cur.execute("DROP TABLE IF EXISTS users")

        cur.execute("""CREATE TABLE IF NOT EXISTS users (
                    user_id INTEGER PRIMARY KEY AUTOINCREMENT,
                    name TEXT NOT NULL,  
                    sex INTEGER NOT NULL DEFAULT 1,
                    old INTEGER,
                    score INTEGER
                    )""")


        cur.execute("SELECT * FROM users WHERE score > 100 ORDER BY score DESC LIMIT 5")
        
        # result = cur.fetchall() # для получения результата запроса (будет список кортежей)
        
        # Для экономии памяти (не формируется весь список записей)
        for result in cur:
            print(result)

        # result_2 = cur.fetchone() # получить одну запись

        # result_3 = cur.fetchmany(3) # получить N записей



        # con.close()


def main():
    test_1()


if __name__ == '__main__':
    main()
